3 Replies Latest reply: Nov 14, 2012 12:06 PM by smorganarrisi RSS

Errors when comparing configuration files

smorganarrisi
Currently Being Moderated

Just added two new filers to our OnCommand system.  Everything seems to be fine with the reporting, etc.  When I try to run a filer configuration on these two units the I get the following error message.

 

Unable to compute differences between target xxx and template yyyy. Internal error while parsing template config yyyy(23599).

 

This works fine with all the other units we have.  The is the same system type, 2240-4 and the same Ontap 8.1.1 as other systems.

 

Any idea?

  • Re: Errors when comparing configuration files
    Currently Being Moderated

    smorganarrisi,

     

    It sounds like you're mssing the ONTAP plug-in for Data ONTAP 8.1.1.  These plug-ins are specifically used for the Configuration Management feature to make the OnCommand server aware of the configuration option in each release of Data ONTAP.  You shoudln't use a single Configuration Management file for filers running different version of ONTAP. 

     

    The ONTAP 8.1.1 plug-in wasn't included in the lastest version of OnCommand 5.1 because its too new. So, you've got to download and install the plug-in manually. 

     

    1. Go to http://support.netapp.com & login using your account.
    2. Go to Download -> Software
    3. Go to the Data ONTAP download section and supply the model of your controller (FAS2240-4) and click "GO".
    4. In the "Data ONTAP for FAS2240-4" page, find ONTAP 8.1.1 and click "View and Download" button.
    5. Scroll down to the section titled, "Support for OnCommand Core Package or Operations Manager and DataFabric® Manager server multiple-system configurations"
    6. Click the link under that section titled "Data ONTAP 8.1.1 Operating in 7-Mode Plug-in for DataFabric Manager Server".
    7. This takes you to the page where you can download the ONTAP 8.1.1 plug-in.  It has instructions on how to install the plug-in into your DFM/OnCommand server.

     

     

    Now try creating a new Configuration Management file for just the two FAS2240-4s.  It should use the ONTAP 8.1.1 plug-in and you shouldn't get that error anymore.

  • Re: Errors when comparing configuration files
    Currently Being Moderated

    BTW, you can see what ONTAP plug-ins are currently installed by running a "dfm about" command at the CLI of your DFM / OnCommand server.

More Like This

  • Retrieving data ...